Get a Testimonial specified by id.
GET
https://api.usetrust.app/v1/testimonial/{id}
Path Parameters
- idstringrequiredDescription
Responses
200
- TestimonialApiModelExample
{ "id": "5339589b-69d4-4164-855a-92a1c2108eab", "workspaceId": "ede27f04-7919-4288-9128-df5d7451ec50", "created": "2025-08-10T08:05:55.4850063+00:00", "firstname": "Carsten", "lastname": "Schaefer", "title": "Adrian Dray", "subtitle": "GDPR Expert, Adrian Dray Consulting", "company": "Adrian Dray Consulting", "email": "[email protected]", "imageUrl": "https://dealmaker.blob.core.windows.net/images/t_0a9ab71cd20f4bf1b11130e71479743d/silhouette_male.png", "videoUrl": "https://video-cdn-eu-west-1.ziggeo.com/v1/applications/r1ac3a4cfe79f3896fce25bffbe16dd3/videos/r127c94ce5906ee6f636f6a582d77194/video.mp4", "testimonialText": "Always fantastic support. I love that Trust keep bringing out brilliant features on a recent basis that makes me and my clients go 'Wow'", "externalVideoHtml": "", "socialMediaProfiles": [ "https://www.facebook.com/trusttestimonials", "https://www.linkedin.com/company/trust-platform" ], "stars": 5, "gaveConsent": true, "consentDateTime": "2025-05-05T08:05:55.4850089+00:00", "published": true, "answerVideos": null }- idstring<uuid>
- workspaceIdstring<uuid>
- createdstring<date-time>
- firstnamestring
- lastnamestring
- titlestring
- subtitlestring
- companystring
- emailstring
- imageUrlstring
- videoUrlstring
- testimonialTextstring
- externalVideoHtmlstring
- socialMediaProfilesstring[]
- starsnumber<float>
- gaveConsentboolean
- consentDateTimestring<date-time>
- publishedboolean
- answerVideosstring[]
400
- string
404
- string
500
- string
curl
curl --request GET \
--url https://api.usetrust.app/v1/testimonial/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.usetrust.app/v1/testimonial/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.usetrust.app/v1/testimonial/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.usetrust.app/v1/testimonial/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://api.usetrust.app")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/v1/testimonial/{id}", Method.Get);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);200
// Returns details of a specific testimonial.
{
"id": "",
"workspaceId": "",
"created": "",
"firstname": "",
"lastname": "",
"title": "",
"subtitle": "",
"company": "",
"email": "",
"imageUrl": "",
"videoUrl": "",
"testimonialText": "",
"externalVideoHtml": "",
"socialMediaProfiles": [
""
],
"stars": "",
"gaveConsent": false,
"consentDateTime": "",
"published": false,
"answerVideos": [
""
]
}400
// Bad Request
""404
// Not Found
""500
// Internal Server Error
""